# Events & Exports

## Server Events <a href="#server-events" id="server-events"></a>

**rm\_banktruck:server:startTrackingTruck**

```lua
---@class StartOptions
---@field price? number   -- will be used instead of cfg.prices.locationInfo in data/prices.lua
---@field ignorePoliceCount? boolean   -- should the number of police officers be ignored?
---@field ignorePlayerCooldown? boolean  -- should the player cooldown be ignored?

---@param targetPlayerServerId? number
---@param options? StartOptions
RegisterNetEvent('rm_banktruck:server:startTrackingTruck', function(targetPlayerServerId, options) end)
```

| Key                   | Type    | Description                                                        |
| --------------------- | ------- | ------------------------------------------------------------------ |
| price?                | number  | Will be used instead of cfg.prices.locationInfo in data/prices.lua |
| ignorePoliceCount?    | boolean | Should the number of police officers be ignored?                   |
| ignorePlayerCooldown? | boolean | Should the player cooldown be ignored?                             |

```
## Notes:
- If triggered from the client, _source is not required; if triggered from the server, it must be provided. 
- To disable the event, set cfg.disableServerEvent = true.
```

## Exports <a href="#exports" id="exports"></a>

### Server Exports <a href="#server-exports" id="server-exports"></a>

**setLockdown**

```lua
exports.rm_banktruckrobbery:setLockdown(state--[[boolean]])
```

**getLockdown**

```lua
exports.rm_banktruckrobbery:getLockdown()
--Example:
exports.rm_banktruckrobbery:setLockdown(true)
local disabled = exports.rm_banktruckrobbery:getLockdown()
print(disabled)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rainmad.com/resources/bank-truck-robbery-4-in-1/events-and-exports.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
